Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511427 - Submit button is always active on configuration page's "Help Menu" tab
Summary: Submit button is always active on configuration page's "Help Menu" tab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Anurag
URL:
Whiteboard: ui:configuration
Depends On:
Blocks: 1517908
TreeView+ depends on / blocked
 
Reported: 2017-11-09 10:28 UTC by Anurag
Modified: 2018-06-21 20:19 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1517908 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:19:54 UTC
Category: Bug
Cloudforms Team: CFME Core
ansinha: automate_bug-


Attachments (Terms of Use)

Description Anurag 2017-11-09 10:28:40 UTC
Description of problem:
When we switch to "Help Menu" tab of Configuration page, "Submit" button is always active on the button

Version-Release number of selected component (if applicable):
Version 5.9.0.7.20171107212356_ed87902 


How reproducible:
100%


Steps to Reproduce:
1.Goto Configuration
2.Select Setting accordion --> CFME Region: Region0[0]
3.Select "Help Menu" tab

Actual results:
Submit Button should be deactive.


Expected results:
Submit Button is active.


Additional info:

Comment 9 CFME Bot 2017-11-22 15:28:27 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/968300daaa4aadddffe29f122a816a977ab76591

commit 968300daaa4aadddffe29f122a816a977ab76591
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Wed Nov 22 13:47:56 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Nov 22 15:11:00 2017 +0100

    Store the session data in the right format for OPS/help_menu
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511427

 app/controllers/ops_controller/settings/common.rb       |  2 +-
 spec/controllers/ops_controller/settings/common_spec.rb | 14 ++++++++++++++
 2 files changed, 15 insertions(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.